# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectSharing Class Reference

A SelectSharing selects Entities which directly Share (Level
One) the Entities of the Input list
Remark : if an Entity of the Input List directly shares
another one, it is of course present in the Result List
.

`#include <IFSelect_SelectSharing.hxx>`

Inheritance diagram for IFSelect_SelectSharing:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectSharing ()
| Creates a SelectSharing; .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities (list of entities which share (level one) those of input list) .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Sharing (one level)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectSharing::IFSelect_SelectSharing | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectSharing::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectDeduct.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectSharing::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IFSelect_SelectSharing::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectSharing.hxx